Skip to main content
GET
/
tokenization
/
templates
/
{contractTemplateId}
/
supported_blockchains
TypeScript
const response: Promise<FireblocksResponse<SupportedBlockChainsResponse>> = fireblocks.contractTemplates.getSupportedBlockchainsByTemplateId(contractTemplatesApiGetSupportedBlockchainsByTemplateIdRequest);
{
  "supportsAllBlockchains": true,
  "supportedBlockchains": [
    {
      "id": "9f9f7062-df90-4fc0-8697-96685184357b",
      "legacyId": "ETH",
      "displayName": "Ethereum",
      "nativeAssetId": "9f9f7062-df90-4fc0-8697-96685184356a"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractTemplateId
string
required

The Contract Template identifier

Response

Supported blockchains list

supportsAllBlockchains
boolean
required

Boolean representing if all blockchains are supported

Example:

true

supportedBlockchains
object[]

List of supported blockchains